Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Class MandateSetupReason1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_08.MandateSetupReason1Choice

    public class MandateSetupReason1Choice
    extends java.lang.Object

Java class for MandateSetupReason1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateSetupReason1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ExternalMandateSetupReason1Code"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max70Text"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cd`
`protected java.lang.String` `prtry`

### Constructor Summary

Constructors
`MandateSetupReason1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCd()` Gets the value of the cd property.
`java.lang.String` `getPrtry()` Gets the value of the prtry property.
`void` `setCd​(java.lang.String value)` Sets the value of the cd property.
`void` `setPrtry​(java.lang.String value)` Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cd

    protected java.lang.String cd

#### prtry

    protected java.lang.String prtry

### Constructor Detail

#### MandateSetupReason1Choice

    public MandateSetupReason1Choice()

### Method Detail

#### getCd

    public java.lang.String getCd()

Gets the value of the cd property.

Returns:
  possible object is `String`

#### setCd

    public void setCd​(java.lang.String value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `String`

#### getPrtry

    public java.lang.String getPrtry()

Gets the value of the prtry property.

Returns:
  possible object is `String`

#### setPrtry

    public void setPrtry​(java.lang.String value)

Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `String`